# vim: set ts=4 sw=4 et:

Summary:        Small command-line, lossless MP3 editor
Name:           cutmp3
Version:        2.1.1
Release:        1.3
Source:         http://www.puchalla-online.de/cutmp3-%{version}.tar.bz2
Source1:        http://www.puchalla-online.de/cutmp3-keys.pdf
Source2:        http://www.puchalla-online.de/cutmp3-keys.jpg
Source99:       %{name}-rpmlintrc
URL:            http://www.puchalla-online.de/cutmp3.html
Group:          Productivity/Multimedia/Sound/Editors and Convertors
License:        GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
Requires:       mpg123
BuildRequires:  readline-devel ncurses-devel glibc-devel
BuildRequires:  gcc glibc-devel make pkgconfig
Obsoletes:      %{name}-kde3

%description
This is a small program to edit mp3 files without quality loss. Playback is
realized via mpg123, so be sure to have it installed or at least have a
symlink to your favorite mp3 playing program.
You can mark beginning and end of a segment with 'a' and 'b' and save the
segment with 's'.
Beginning with version 0.5 even VBR files are officially supported.  Using a
timetable with VBR files will not be as precise as with CBR files, though.

%package doc
Summary:        Documentation for %{name}
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Requires:       %{name} = %{version}

%description doc
This is a small program to edit mp3 files without quality loss. Playback is
realized via mpg123, so be sure to have it installed or at least have a
symlink to your favorite mp3 playing program.
You can mark beginning and end of a segment with 'a' and 'b' and save the
segment with 's'.
Beginning with version 0.5 even VBR files are officially supported.  Using a
timetable with VBR files will not be as precise as with CBR files, though.

This package contains a user guide and a list of key bindings for %{name}

%prep
%setup -q

%build
%__make %{?_smp_flags} CFLAGS="%{optflags}"

%install
%__install -m 0755 -D cutmp3 "%{buildroot}%{_bindir}/cutmp3"
%__install -D -m 0644 cutmp3.1 "%{buildroot}%{_mandir}/man1/cutmp3.1"

%__install -d "%{buildroot}%{_docdir}/%{name}"
D="$PWD/main.doc.lst"
echo -n >"$D"
for f in BUGS COPYING USAGE README*; do
    b="${f##*/}"
    %__install -m0644 "$f" "%{buildroot}%{_docdir}/%{name}/$b"
    echo "%doc %{_docdir}/%{name}/$b" >>"$D"
done
D="$PWD/doc.doc.lst"
echo -n >"$D"
for f in "%{SOURCE1}" "%{SOURCE2}" TODO Changelog; do
    b="${f##*/}"
    %__install -m0644 "$f" "%{buildroot}%{_docdir}/%{name}/$b"
    echo "%doc %{_docdir}/%{name}/$b" >>"$D"
done

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f main.doc.lst
%defattr(-,root,root)
%dir %doc %{_docdir}/%{name}
%{_bindir}/cutmp3
%doc %{_mandir}/man1/cutmp3.1%{ext_man}

%files doc -f doc.doc.lst
%defattr(-,root,root)
%dir %doc %{_docdir}/%{name}

%changelog
* Mon Apr  1 2013 pascal.bleser@opensuse.org
- update to 2.1.1:
  * small time display fix
  * fixed eading ID3V2
* Mon Sep 26 2011 pascal.bleser@opensuse.org
- update to 2.1:
  * layer 2 (MP2 file) support
* Sat May  7 2011 pascal.bleser@opensuse.org
- update to 2.0.3:
  * opening a file has been prevented when writing to STDOUT
- split out -doc subpackage
- obsolete -kde3 subpackage
* Sun Jun  6 2010 pascal@links2linux.de
- update to 2.0.2:
  * changes in the layout and in the playback behaviour
* Sun Jul 12 2009 pascal.bleser@opensuse.org
- update to 2.0.1:
  * security fixes have been made
  * giving times for cutting has been made easier
* Mon Jun 29 2009 pascal.bleser@opensuse.org
- update to 2.0:
  * live time display has been added, pressing "l" toggles it
  * the "-o" switch now always uses the given prefix instead of information from ID3
* Sun Apr 19 2009 pascal.bleser@opensuse.org
- update to 1.9.5:
  * pressing M and N now really changes the length of playback
* Wed Jan  7 2009 guru@unixtech.be
- update to 1.9.4
* Fri Apr  6 2007 guru@unixtech.be
- new upstream version
* Thu Dec  7 2006 guru@unixtech.be
- new upstream version
* Mon Feb 27 2006 guru@unixtech.be
- new upstream version
* Mon May 16 2005 guru@unixtech.be
- version 1.8.3
* Thu Apr 28 2005 guru@unixtech.be
- version 1.8.2
* Sun Nov  7 2004 guru@unixtech.be
- version 1.8.1
* Fri Oct 15 2004 guru@unixtech.be
- version 1.8
* Thu Jul 22 2004 guru@unixtech.be
- version 1.6.3
* Tue Jun 22 2004 guru@unixtech.be
- version 1.6
* Sun Jun 13 2004 guru@unixtech.be
- version 1.5.2
* Mon Apr 26 2004 guru@unixtech.be
- version 1.4
* Sun Feb 29 2004 guru@unixtech.be
- version 1.3
* Sun Nov 23 2003 guru@unixtech.be
- version 1.1.1
* Sun Nov  2 2003 guru@unixtech.be
- added KDE3 service menu
- version 1.0
* Tue Jul 29 2003 guru@unixtech.be
- first RPM
